% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/defaultCombine.R
\name{setCombineType}
\alias{setCombineType}
\title{Change the default combine type for the package}
\usage{
setCombineType(combineType = c("snake", "camel", "dot", "blank"))
}
\arguments{
\item{combineType}{this is the default combine type:
- \code{"default"}: default combine
- \code{"snake"}: snake_case combine
- \code{"camel"}: camelCase combine
- \code{"dot"}: dot combine (i.e. "a.b")
- \code{"blank"}: no separator (i.e. "ab")}
}
\description{
Change the default combine type for the package
}
\examples{

# Change to the popular snake_case
setCombineType("snake")
defaultCombine("a", "b")

# Change back to nlmixr2/rxode2 default camelCase

setCombineType("camel")
defaultCombine("a", "b")

# This is used to change the naming convention for parameters
# produced by this package
}
\author{
Matthew L. Fidler
}
